gdcm::TagPath Class Reference

class to handle a path of tag. More...

`#include <gdcmTagPath.h>`

## Public Member Functions

| TagPath ()
| ~TagPath ()
bool | ConstructFromString (const char *path)
bool | ConstructFromTagList (Tag const *l, unsigned int n)
| Construct from a list of tags.
void | Print (std::ostream &) const
bool | Push (Tag const &t)
bool | Push (unsigned int itemnum)

## Static Public Member Functions

static bool | IsValid (const char *path)
| Return if path is valid or not.

## Detailed Description

class to handle a path of tag.

Any Resemblance to Existing XPath is Purely Coincidental ftp://medical.nema.org/medical/dicom/supps/sup118_pc.pdf

## Constructor & Destructor Documentation

## TagPath()

gdcm::TagPath::TagPath | ( |  | ) |

## ~TagPath()

gdcm::TagPath::~TagPath | ( |  | ) |

## Member Function Documentation

## ConstructFromString()

bool gdcm::TagPath::ConstructFromString | ( | const char * | path | ) |

"/0018,0018/"... No space allowed, comma is use to separate tag group from tag element and slash is used to separate tag return false if invalid

## ConstructFromTagList()

bool gdcm::TagPath::ConstructFromTagList | ( | Tag const * | l,
|  | unsigned int | n )

Construct from a list of tags.

## IsValid()

bool gdcm::TagPath::IsValid | ( | const char * | path | ) |

static

Return if path is valid or not.

## Print()

void gdcm::TagPath::Print | ( | std::ostream & |  | ) | const

## Push() [1/2]

bool gdcm::TagPath::Push | ( | Tag const & | t | ) |

## Push() [2/2]

bool gdcm::TagPath::Push | ( | unsigned int | itemnum | ) |

The documentation for this class was generated from the following file:

- gdcmTagPath.h